## ros-foxy-resource-retriever 2.3.4

=== debian/changelog ===
ros-foxy-resource-retriever (2.3.4-1focal) focal; urgency=high

  * Throw exception if package name is empty (#54 <https://github.com/ros/resource_retriever/issues/54>) (#55 <https://github.com/ros/resource_retriever/issues/55>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-resource-retriever (2.3.3-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning (#48 <https://github.com/ros/resource_retriever/issues/48>) (#52 <https://github.com/ros/resource_retriever/issues/52>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 18 Aug 2020 07:00:00 -0000

ros-foxy-resource-retriever (2.3.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-resource-retriever (2.3.1-1focal) focal; urgency=high

  * Import pytest before resource_retriever (#45 <https://github.com/ros/resource_retriever/issues/45>)
  * Use pytest instead of nose (#44 <https://github.com/ros/resource_retriever/issues/44>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-resource-retriever (2.3.0-1focal) focal; urgency=high

  * Towards Quality Level 1 - Added common_linters and fixed tests  (#43 <https://github.com/ros/resource_retriever/issues/43>)
  * use ament_export_targets() (#41 <https://github.com/ros/resource_retriever/issues/41>)
  * Catch ament_index_cpp::PackageNotFoundError (#32 <https://github.com/ros/resource_retriever/issues/32>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-foxy-resource-retriever (2.2.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-resource-retriever (2.1.1-1focal) focal; urgency=high

  * Changed to export resource retriever and to enable hooks. (#26 <https://github.com/ros/resource_retriever/issues/26>)
  * Contributors: Steven! Ragnarök

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-resource-retriever (2.1.0-1focal) focal; urgency=high

  * Make sure to export the include directory for resource_retriever. (#22 <https://github.com/ros/resource_retriever/issues/22>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 21 Jun 2018 07:00:00 -0000

ros-foxy-resource-retriever (1.12.3-1focal) focal; urgency=high

  * Fix C++11 to use set_directory_properties
  * Make Shane and Chris the maintainers.
  * Python3 compatibility (#10 <https://github.com/ros/resource_retriever/issues/10>)
    * Replace urlgrabber with urllib[2]
    As urlgrabber is not supported for Python 3 replace it with either the built-in urllib (Python 2) or urllib2 (Python 3)
    * Use rospkg instead of system call for rospack
    * Add test for python functionality
    * Fix rospkg dependency definition
  * Update URL in http test to something which exists (#8 <https://github.com/ros/resource_retriever/issues/8>)
    * Update URL in http test to something which exists
  * Contributors: Chris Lalancette, Mike Purvis, Ruben Smits

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-foxy-resource-retriever (1.12.2-1focal) focal; urgency=high

  * fix failing build due to cmake error (#6 <https://github.com/ros/resource_retriever/issues/6>)
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-foxy-resource-retriever (1.12.1-1focal) focal; urgency=high

  * Fix warnings in test (#5 <https://github.com/ros/resource_retriever/issues/5>)
    add spaces around ROS_PACKAGE_NAME
  * Merge pull request #4 <https://github.com/ros/resource_retriever/issues/4> from DLu/kinetic-devel
    Add c++11 flag
  * Contributors: David V. Lu!!, Jackie Kay, Steven Peters

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-foxy-resource-retriever (1.12.0-1focal) focal; urgency=high

  * resource_retriever: adding missing dep
    Using the python resource_retriever requires the python-urlgrabber system dependency: http://rosindex.github.io/d/python-urlgrabber/
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-foxy-resource-retriever (1.11.6-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 08:00:00 -0000

ros-foxy-resource-retriever (1.11.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 07:00:00 -0000

ros-foxy-resource-retriever (1.11.4-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 07:00:00 -0000

ros-foxy-resource-retriever (1.11.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-foxy-resource-retriever (1.11.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 07:00:00 -0000

ros-foxy-resource-retriever (1.11.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 07:00:00 -0000

ros-foxy-resource-retriever (1.11.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-foxy-resource-retriever (1.10.18-1focal) focal; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 08:00:00 -0000

ros-foxy-resource-retriever (1.10.16-1focal) focal; urgency=high

  * check for CATKIN_ENABLE_TESTING


